libosmo-sigtran 2.1.0.165-6ea6 Osmocom SIGTRAN library

Enumerations | Functions | Variables
xua_asp_fsm.h File Reference

Go to the source code of this file.

## Enumerations
enum | xua_asp_state { XUA_ASP_S_DOWN , XUA_ASP_S_INACTIVE , XUA_ASP_S_ACTIVE }
enum | xua_asp_event { XUA_ASP_E_M_ASP_UP_REQ , XUA_ASP_E_M_ASP_ACTIVE_REQ , XUA_ASP_E_M_ASP_DOWN_REQ , XUA_ASP_E_M_ASP_INACTIVE_REQ , XUA_ASP_E_SCTP_COMM_DOWN_IND , XUA_ASP_E_SCTP_RESTART_IND , XUA_ASP_E_SCTP_EST_IND , XUA_ASP_E_ASPSM_ASPUP , XUA_ASP_E_ASPSM_ASPUP_ACK , XUA_ASP_E_ASPTM_ASPAC , XUA_ASP_E_ASPTM_ASPAC_ACK , XUA_ASP_E_ASPSM_ASPDN , XUA_ASP_E_ASPSM_ASPDN_ACK , XUA_ASP_E_ASPTM_ASPIA , XUA_ASP_E_ASPTM_ASPIA_ACK , XUA_ASP_E_ASPSM_BEAT , XUA_ASP_E_ASPSM_BEAT_ACK , XUA_ASP_E_AS_ASSIGNED , IPA_ASP_E_ID_RESP , IPA_ASP_E_ID_ACK , IPA_ASP_E_ID_GET , _NUM_XUA_ASP_E }

## Functions
int | xua_asp_fsm_start (struct osmo_ss7_asp *asp, enum osmo_ss7_asp_role role, int log_level)
| Start a new ASP finite state machine for given ASP (stored in asp->fi) More...

## Variables
struct osmo_fsm | xua_asp_fsm
struct osmo_fsm | ipa_asp_fsm

## Enumeration Type Documentation

## ◆ xua_asp_event

enum xua_asp_event

Enumerator
XUA_ASP_E_M_ASP_UP_REQ |
XUA_ASP_E_M_ASP_ACTIVE_REQ |
XUA_ASP_E_M_ASP_DOWN_REQ |
XUA_ASP_E_M_ASP_INACTIVE_REQ |
XUA_ASP_E_SCTP_COMM_DOWN_IND |
XUA_ASP_E_SCTP_RESTART_IND |
XUA_ASP_E_SCTP_EST_IND |
XUA_ASP_E_ASPSM_ASPUP |
XUA_ASP_E_ASPSM_ASPUP_ACK |
XUA_ASP_E_ASPTM_ASPAC |
XUA_ASP_E_ASPTM_ASPAC_ACK |
XUA_ASP_E_ASPSM_ASPDN |
XUA_ASP_E_ASPSM_ASPDN_ACK |
XUA_ASP_E_ASPTM_ASPIA |
XUA_ASP_E_ASPTM_ASPIA_ACK |
XUA_ASP_E_ASPSM_BEAT |
XUA_ASP_E_ASPSM_BEAT_ACK |
XUA_ASP_E_AS_ASSIGNED |
IPA_ASP_E_ID_RESP |
IPA_ASP_E_ID_ACK |
IPA_ASP_E_ID_GET |
_NUM_XUA_ASP_E |

## ◆ xua_asp_state

enum xua_asp_state

Enumerator
XUA_ASP_S_DOWN |
XUA_ASP_S_INACTIVE |
XUA_ASP_S_ACTIVE |

## Function Documentation

## ◆ xua_asp_fsm_start()

int xua_asp_fsm_start | ( | struct osmo_ss7_asp * | asp,
|  | enum osmo_ss7_asp_role | role,
|  | int | log_level
| ) |  |

Start a new ASP finite state machine for given ASP (stored in asp->fi)

Parameters

  [in] | asp | Application Server Process for which to start FSM
  [in] | role | Role (ASP, SG, IPSP) of this FSM
  [in] | log_level | Logging Level for ASP FSM logging

Returns
  0 on success; negative on error

References xua_asp_fsm_priv::asp, osmo_ss7_asp::cfg, osmo_ss7_asp::fi, ipa_asp_fsm_start(), osmo_ss7_asp::name, NULL, OSMO_SS7_ASP_PROT_IPA, osmo_ss7_asp::proto, xua_asp_fsm_priv::role, xua_asp_fsm_priv::t_beat, xua_asp_fsm_priv::timer, xua_asp_fsm, and xua_t_beat_cb().

Referenced by osmo_ss7_asp_restart(), and xua_accept_cb().

## Variable Documentation

## ◆ ipa_asp_fsm

struct osmo_fsm ipa_asp_fsm
| extern

Referenced by ipa_asp_fsm_start(), and osmo_ss7_init().

## ◆ xua_asp_fsm

struct osmo_fsm xua_asp_fsm
| extern

Referenced by osmo_ss7_init(), and xua_asp_fsm_start().